Bug 151759 - ip route flush fails
ip route flush fails
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: net-tools (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-21 21:45 EST by John Dennis
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-22 10:04:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Dennis 2005-03-21 21:45:10 EST
% /sbin/ip route flush cache
Cannot open "/proc/sys/net/ipv4/route/flush"

The above pretty much says it all. FWIW /pro/sys/net/ipv4/route looks fully
populated, all the files are "644 root root". I filed the bug against FC4t1, but
in truth this is a rawhide machine, so its a week or two more current than FC4t1.
Comment 1 Radek Vokal 2005-03-22 10:04:25 EST
Ehm, I've never used this before so here're my observations

# ip route show cache
- shows a big mess of different routes

# ip --statistics route flush cache  
*** IPv4 routing cache is flushed.
(according to a man page, it should show no. of flushed routes, I'll check this)

# ip route show cache
broadcast 192.168.1.255 from 192.168.1.21 dev lo  src 192.168.1.13
    cache <local,brd,src-direct>  iif eth0

eg. it shows only one route, a broadcast message, so it might have appeard right
after the flush command. The problem of flush command is that it doesn't flush
all routes immediatelly but there's a delay which may cause dealy. If you call
`show cachce` right after flushing it there still might be old data.

This comes from my tests on FC4t1 (installed 5mins ago :) 

Note You need to log in before you can comment on or make changes to this bug.